Moderate severity vulnerability was found in pip python-ldap (pip) .

python-ldap/python-ldap#424

Impact

The LDAP schema parser of python-ldap 3.3.1 and earlier are vulnerable to a regular expression denial-of-service attack. The issue affects clients that use ldap.schema package to parse LDAP schema definitions from an untrusted source.

Patches

The upcoming release of python-ldap 3.4.0 will contain a workaround to prevent ReDoS attacks. The schema parser refuses schema definitions with an excessive amount of backslashes.

Workarounds

As a workaround, users can check input for excessive amount of backslashes in schemas. More than a dozen backslashes per line are atypical.

References

CWE-1333

References


Courtesy:https://github.com/advisories/GHSA-r8wq-qrxc-hmcm

By admin

Leave a Reply

Your email address will not be published. Required fields are marked *